import './slider.css';
interface JscSliderElement extends HTMLElement {
    jscSlider?: JscSlider;
}
interface JscSliderArgs {
    container: string | HTMLElement;
    slidesPerView?: number;
    gap?: number;
    prevEl?: string | HTMLElement;
    nextEl?: string | HTMLElement;
    breakPoints?: {};
}
export default class JscSlider {
    container: JscSliderElement;
    sliderWrapper: HTMLElement;
    slides: NodeListOf<HTMLElement>;
    sliderContainerWidth: number;
    pointerStartingPosition: number;
    isClicked: boolean;
    isPointerMoved: boolean;
    currentIndex: number;
    slidesLength: number;
    totalSlidesPerView: number;
    firstDragTime: number;
    isFirstMove: boolean;
    translate: number;
    breakPointWidths: number[];
    currentBreakPoint: number | null;
    currentActiveWidth: number;
    _isTransitioning: boolean;
    _transitionTimeoutId: ReturnType<typeof setTimeout>;
    _tempIndex: number;
    _pointerPausePosition: number;
    slidesPerView: number;
    percentThreshold: number;
    timeThreshold: number;
    gap: number;
    breakPoints: any | {};
    constructor(args: JscSliderArgs);
    _init(): void;
    /** All Event functions */
    _pointerDown(e: MouseEvent | TouchEvent): void;
    _pointerMove(): void;
    _pointerLeave(): void;
    _resize(): void;
    /** End Event functions */
    /** Controls Functions */
    nextSlide(): boolean;
    prevSlide(): boolean;
    /** End Controls Functions */
    /** Utilities Functions */
    _applyResponsiveness(): void;
    _calcSlidesDimensions(): void;
    _reset(): void;
}
export {};
